| Home | Libraries | People | FAQ | More

## Function template copy_if

boost::algorithm::copy_if — Copies all the elements from the input range that satisfy the predicate to the output range.

## Synopsis

    // In header: <boost/algorithm/cxx11/copy_if.hpp>

    template<typename InputIterator, typename OutputIterator, typename Predicate>
      OutputIterator
      copy_if(InputIterator first, InputIterator last, OutputIterator result,
              Predicate p);

## Description

| Note
This function is part of the C++2011 standard library. We will use the standard one if it is available, otherwise we have our own implementation.

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`p` | A predicate for testing the elements of the range
`result` | An output iterator to write the results into

Returns: | The updated output iterator